List chart of accounts categories
GET
/api/categories
const url = 'https://api.getvespy.com/api/categories?type=asset';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.getvespy.com/api/categories?type=asset' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”type
string
includeInactive
boolean
leafOnly
boolean
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
categories
required
Array<object>
object
code
required
string
description
required
string
id
required
string format: uuid
isActive
required
boolean
isLeaf
required
boolean
name
required
string
organizationId
required
string format: uuid
parentCode
required
string
sortOrder
required
integer
type
required
string
Example
{ "categories": [ { "type": "asset" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}